Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Query list of Members I Follow in specified group

This API retrieves the list of Members I Follow for a specified user in a designated group, including member user IDs and follow timestamps.

Enabling the Service

Before using this feature, you must enable the profile hosting service by submitting a ticket.

Request Method

POST: https://data center domain/entrust/group/member/followed/get.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests require signature verification. See API Request Signature.

Request Parameters

The HTTP request body uses application/x-www-form-urlencoded format and supports these form parameters:

ParameterTypeRequiredDescription
groupIdStringYesGroup ID
userIdStringYesGroup member user ID

Request Example

POST /entrust/group/member/followed/get.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=123&groupId=456

Response

The HTTP response body contains a JSON object with this structure:

FieldTypeDescription
codeNumberStatus code (200 = success)
userIdStringUser ID
groupIdStringGroup ID
membersJSONArrayFollowed member information
members structure
members[i].userIdStringUser ID
members[i].timestampLongFollow timestamp

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code":200,
"userId": "123",
"groupId": "456",
"followedMembers":[
{
"userId":"u123",
"timestamp": 1709619756077
},
{
"userId":"u456",
"timestamp": 1709619756077
}]
}